
Infrastructure - Feature #883

refactor R client to use new service API and d1client API

2010-09-23 02:50 - Matthew Jones

Status: Closed Start date:  

Priority: High Due date:  

Assignee: Matthew Jones % Done: 100%

Category: d1_client_r Estimated time: 0.00 hour

Target version: CCI-0.5   

Milestone: None Story Points:  

Product Version: *   

Description

service-api-java and d1-java both recently changed to include a model for CNode and MNode classes that are separate from the

D1Client class.  Refactor the R client to use the new model.

History

#1 - 2010-09-23 02:52 - Matthew Jones

Initial refactoring completed with r2326.  R client now uses the MNode class.  More refactoring needed to completely shift to using the CNode and

MNode classes properly.  The current implementation can get and load a data set though, albeit not in a generalized manner.

#2 - 2010-09-24 17:34 - Matthew Jones

New class structure is being used now.  Fixed.
